Index: html/includes/map/leaflet.inc.php
===================================================================
--- html/includes/map/leaflet.inc.php	(revision 9972)
+++ html/includes/map/leaflet.inc.php	(working copy)
@@ -111,7 +111,7 @@
                     return feature.properties.id + feature.properties.state;
                 }
             }, {
-                interval: 10 * 1000,
+                interval: 60 * 1000,
 
                 onEachFeature: function (feature, layer) {
 
@@ -132,9 +132,11 @@
 
                     if (feature.properties.state === "up") {
                         layer.setIcon(icons['ok']);
+			layer.setZIndexOffset(-200);
                     }
                     else {
                         layer.setIcon(icons['alert']);
+			layer.setZIndexOffset(800);
                     }
                 },
 
@@ -161,9 +163,11 @@
 
                     if (feature.properties.state === "up") {
                         layer.setIcon(icons['ok']);
+			layer.setZIndexOffset(-200);
                     }
                     else {
                         layer.setIcon(icons['alert']);
+			layer.setZIndexOffset(800);
                     }
 
                     return layer;
@@ -178,11 +182,18 @@
         map.on('click', function () {
             if (map.scrollWheelZoom.enabled()) {
                 map.scrollWheelZoom.disable();
+		//console.log('REFRESH STARTING');
+		realtime.start();
+		//console.log(realtime.isRunning());
             } else {
                 map.scrollWheelZoom.enable();
+		//console.log('REFRESH STOPPING');
+		realtime.stop();
+		//console.log(realtime.isRunning());
             }
         });
 
+	/*
         map.on('mouseover', function () {
             console.log('STOPPING');
             realtime.stop(map);
@@ -192,6 +203,7 @@
             console.log('STARTING');
             realtime.start(map);
         });
+	*/
 
         <?php if (isset($leaflet_hqurl))
         {
